/* -*- Mode: C; indent-tabs-mode: nil; c-basic-offset: 4; tab-width: 8 -*- */
/**
 * egg-dock-item-grip.h
 * 
 * Based on bonobo-dock-item-grip.  Original copyright notice follows.
 *
 * Author:
 *    Michael Meeks
 *
 * Copyright (C) 2002 Sun Microsystems, Inc.
 */

#ifndef _EGG_DOCK_ITEM_GRIP_H_
#define _EGG_DOCK_ITEM_GRIP_H_

#include <gtk/gtkwidget.h>
#include <dock/egg-dock-item.h>

G_BEGIN_DECLS

#define EGG_TYPE_DOCK_ITEM_GRIP            (egg_dock_item_grip_get_type())
#define EGG_DOCK_ITEM_GRIP(obj)            \
    (GTK_CHECK_CAST ((obj), EGG_TYPE_DOCK_ITEM_GRIP, EggDockItemGrip))
#define EGG_DOCK_ITEM_GRIP_CLASS(klass)    \
    (GTK_CHECK_CLASS_CAST ((klass), EGG_TYPE_DOCK_ITEM_GRIP, EggDockItemGripClass))
#define EGG_IS_DOCK_ITEM_GRIP(obj)         \
    (GTK_CHECK_TYPE ((obj), EGG_TYPE_DOCK_ITEM_GRIP))
#define EGG_IS_DOCK_ITEM_GRIP_CLASS(klass) \
    (GTK_CHECK_CLASS_TYPE ((klass), EGG_TYPE_DOCK_ITEM_GRIP))
#define EGG_DOCK_ITEM_GRIP_GET_CLASS(obj)  \
    (GTK_CHECK_GET_CLASS ((obj), EGG_TYPE_DOCK_ITEM_GRIP, EggDockItemGripClass))

typedef struct {
    GtkWidget parent;
	
    EggDockItem *item;
} EggDockItemGrip;

typedef struct {
    GtkWidgetClass parent_class;

    void (*activate) (EggDockItemGrip *grip);
} EggDockItemGripClass;

GType      egg_dock_item_grip_get_type (void);
GtkWidget *egg_dock_item_grip_new      (EggDockItem *item);

G_END_DECLS

#endif /* _EGG_DOCK_ITEM_GRIP_H_ */
